## mycompiler.mytype
Class GenericTypeVar

    java.lang.Object
      mycompiler.mytype.Type
          mycompiler.mytype.GenericTypeVar

    public class GenericTypeVar

extends Type

Version:
  $Date: 2005/06/28 19:19:06 $
Author:
  J�rg B�uerle

Field Summary

Fields inherited from class mycompiler.mytype.Type
`hamaDebug, name, used`

Constructor Summary
`GenericTypeVar(java.lang.String s)`

Method Summary
`GenericTypeVar` `clone()` Author: J�rg B�uerle
`boolean` `equals(java.lang.Object obj)` Author: J�rg B�uerle

Methods inherited from class mycompiler.mytype.Type
`get_codegen_Type, get_Name, get_UsedId, getName, set_UsedId, toString, Type2Key, Type2String`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericTypeVar

    public GenericTypeVar(java.lang.String s)

Method Detail

### clone

    public GenericTypeVar clone()

  Author: J�rg B�uerle

  Overrides:
    `clone` in class `Type`
  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Author: J�rg B�uerle

  Overrides:
    `equals` in class `Type`
  Parameters:
    `obj` -
  Returns: